Method: iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.create

Membuat namespace di katalog.

Permintaan HTTP


POST https://biglake.googleapis.com/iceberg/v1/restcatalog/v1/{parent=projects/*/catalogs/*}/namespaces

URL ini menggunakan sintaksis gRPC Transcoding.

Parameter jalur

Parameter
parent

string

Wajib. Resource induk tempat namespace ini akan dibuat. Format: projects/{projectId}/catalogs/{catalogId}

Isi permintaan

Isi permintaan memuat instance IcebergNamespace.

Isi respons

Jika berhasil, isi respons akan memuat instance IcebergNamespace yang baru dibuat.

Cakupan otorisasi

Memerlukan salah satu cakupan OAuth berikut:

  • https://www.googleapis.com/auth/bigquery
  • https://www.googleapis.com/auth/cloud-platform

Untuk mengetahui informasi selengkapnya, lihat Authentication Overview.